from llama_index.core.selectors import LLMSingleSelector
options = [
    "opcja 1 przydatna dla pytań wymagających podsumowania",
    "opcja 2: przydatna dla pytań o dokładną definicję",
    "opcja 3: przydatna do porównywania",
]
selector = LLMSingleSelector.from_defaults()

decision = selector.select(
    options, 
    query="Ja brzmi definicja kosmosu?"
).selections[0]
print(decision.index+1)
print(decision.reason)